diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/ms-functions.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/ms-functions.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/ms-functions.php	2012-10-29 12:35:29.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/ms-functions.php	2012-12-17 16:18:40.000000000 -0600
***************
*** 1977,1982 ****
  	$count = $wpdb->get_var( $wpdb->prepare("SELECT COUNT(blog_id) as c FROM $wpdb->blogs WHERE site_id = %d AND spam = '0' AND deleted = '0' and archived = '0'", $wpdb->siteid) );
  	update_site_option( 'blog_count', $count );
  
! 	$count = $wpdb->get_var( $wpdb->prepare("SELECT COUNT(ID) as c FROM $wpdb->users WHERE spam = '0' AND deleted = '0'") );
  	update_site_option( 'user_count', $count );
  }
--- 1928,2016 ----
  	$count = $wpdb->get_var( $wpdb->prepare("SELECT COUNT(blog_id) as c FROM $wpdb->blogs WHERE site_id = %d AND spam = '0' AND deleted = '0' and archived = '0'", $wpdb->siteid) );
  	update_site_option( 'blog_count', $count );
  
! 	$count = $wpdb->get_var( "SELECT COUNT(ID) as c FROM $wpdb->users WHERE spam = '0' AND deleted = '0'" );
  	update_site_option( 'user_count', $count );
  }
+ 
+ /**
+  * Returns the space used by the current blog.
+  *
+  * @since 3.5.0
+  *
+  * @return int Used space in megabytes
+  */
+ function get_space_used() {
+ 	// Allow for an alternative way of tracking storage space used
+ 	$space_used = apply_filters( 'pre_get_space_used', false );
+ 	if ( false === $space_used ) {
+ 		$upload_dir = wp_upload_dir();
+ 		$space_used = get_dirsize( $upload_dir['basedir'] ) / 1024 / 1024;
+ 	}
+ 
+ 	return $space_used;
+ }
+ 
+ /**
+  * Returns the upload quota for the current blog.
+  *
+  * @since MU
+  *
+  * @return int Quota in megabytes
+  */
+ function get_space_allowed() {
+ 	$space_allowed = get_option( 'blog_upload_space' );
+ 
+ 	if ( ! is_numeric( $space_allowed ) )
+ 		$space_allowed = get_site_option( 'blog_upload_space' );
+ 
+ 	if ( empty( $space_allowed ) || ! is_numeric( $space_allowed ) )
+ 		$space_allowed = 50;
+ 
+ 	return $space_allowed;
+ }
+ 
+ /**
+  * Determines if there is any upload space left in the current blog's quota.
+  *
+  * @since 3.0.0
+  *
+  * @return int of upload space available in bytes
+  */
+ function get_upload_space_available() {
+ 	$space_allowed = get_space_allowed() * 1024 * 1024;
+ 	if ( get_site_option( 'upload_space_check_disabled' ) )
+ 		return $space_allowed;
+ 
+ 	$space_used = get_space_used() * 1024 * 1024;
+ 
+ 	if ( ( $space_allowed - $space_used ) <= 0 )
+ 		return 0;
+ 
+ 	return $space_allowed - $space_used;
+ }
+ 
+ /**
+  * Determines if there is any upload space left in the current blog's quota.
+  *
+  * @since 3.0.0
+  * @return bool True if space is available, false otherwise.
+  */
+ function is_upload_space_available() {
+ 	if ( get_site_option( 'upload_space_check_disabled' ) )
+ 		return true;
+ 
+ 	return (bool) get_upload_space_available();
+ }
+ 
+ /**
+  * @since 3.0.0
+  *
+  * @return int of upload size limit in bytes
+  */
+ function upload_size_limit_filter( $size ) {
+ 	$fileupload_maxk = 1024 * get_site_option( 'fileupload_maxk', 1500 );
+ 	if ( get_site_option( 'upload_space_check_disabled' ) )
+ 		return min( $size, $fileupload_maxk );
+ 
+ 	return min( $size, $fileupload_maxk, get_upload_space_available() );
+ }
\ No newline at end of file
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/ms-load.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/ms-load.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/ms-load.php	2012-10-29 12:35:29.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/ms-load.php	2012-12-17 16:18:40.000000000 -0600
***************
*** 69,75 ****
   * @return bool|string Returns true on success, or drop-in file to include.
   */
  function ms_site_check() {
! 	global $wpdb, $current_blog;
  
  	// Allow short-circuiting
  	$check = apply_filters('ms_site_check', null);
--- 69,77 ----
   * @return bool|string Returns true on success, or drop-in file to include.
   */
  function ms_site_check() {
! 	global $wpdb;
! 
! 	$blog = get_blog_details();
  
  	// Allow short-circuiting
  	$check = apply_filters('ms_site_check', null);
***************
*** 80,100 ****
  	if ( is_super_admin() )
  		return true;
  
! 	if ( '1' == $current_blog->deleted ) {
  		if ( file_exists( WP_CONTENT_DIR . '/blog-deleted.php' ) )
  			return WP_CONTENT_DIR . '/blog-deleted.php';
  		else
  			wp_die( __( 'This user has elected to delete their account and the content is no longer available.' ), '', array( 'response' => 410 ) );
  	}
  
! 	if ( '2' == $current_blog->deleted ) {
  		if ( file_exists( WP_CONTENT_DIR . '/blog-inactive.php' ) )
  			return WP_CONTENT_DIR . '/blog-inactive.php';
  		else
  			wp_die( sprintf( __( 'This site has not been activated yet. If you are having problems activating your site, please contact <a href="mailto:%1$s">%1$s</a>.' ), str_replace( '@', ' AT ', get_site_option( 'admin_email', "support@{$current_site->domain}" ) ) ) );
  	}
  
! 	if ( $current_blog->archived == '1' || $current_blog->spam == '1' ) {
  		if ( file_exists( WP_CONTENT_DIR . '/blog-suspended.php' ) )
  			return WP_CONTENT_DIR . '/blog-suspended.php';
  		else
--- 82,102 ----
  	if ( is_super_admin() )
  		return true;
  
! 	if ( '1' == $blog->deleted ) {
  		if ( file_exists( WP_CONTENT_DIR . '/blog-deleted.php' ) )
  			return WP_CONTENT_DIR . '/blog-deleted.php';
  		else
  			wp_die( __( 'This user has elected to delete their account and the content is no longer available.' ), '', array( 'response' => 410 ) );
  	}
  
! 	if ( '2' == $blog->deleted ) {
  		if ( file_exists( WP_CONTENT_DIR . '/blog-inactive.php' ) )
  			return WP_CONTENT_DIR . '/blog-inactive.php';
  		else
  			wp_die( sprintf( __( 'This site has not been activated yet. If you are having problems activating your site, please contact <a href="mailto:%1$s">%1$s</a>.' ), str_replace( '@', ' AT ', get_site_option( 'admin_email', "support@{$current_site->domain}" ) ) ) );
  	}
  
! 	if ( $blog->archived == '1' || $blog->spam == '1' ) {
  		if ( file_exists( WP_CONTENT_DIR . '/blog-suspended.php' ) )
  			return WP_CONTENT_DIR . '/blog-suspended.php';
  		else
***************
*** 232,238 ****
  
  	wp_load_translations_early();
  
! 	$title = __( 'Error establishing database connection' );
  	$msg  = '<h1>' . $title . '</h1>';
  	if ( ! is_admin() )
  		die( $msg );
--- 234,240 ----
  
  	wp_load_translations_early();
  
! 	$title = __( 'Error establishing a database connection' );
  	$msg  = '<h1>' . $title . '</h1>';
  	if ( ! is_admin() )
  		die( $msg );
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/ms-settings.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/ms-settings.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/ms-settings.php	2012-10-29 12:35:29.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/ms-settings.php	2012-12-17 16:18:40.000000000 -0600
***************
*** 126,131 ****
--- 126,133 ----
  $wpdb->set_prefix( $table_prefix, false ); // $table_prefix can be set in sunrise.php
  $wpdb->set_blog_id( $current_blog->blog_id, $current_blog->site_id );
  $table_prefix = $wpdb->get_blog_prefix();
+ $_wp_switched_stack = array();
+ $switched = false;
  
  // need to init cache again after blog_id is set
  wp_start_object_cache();
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/nav-menu.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/nav-menu.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/nav-menu.php	2012-10-29 12:35:29.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/nav-menu.php	2012-12-17 16:18:39.000000000 -0600
***************
*** 279,288 ****
  	if ( ( ! $menu && 0 !== $menu_id ) || is_wp_error( $menu ) )
  		return $menu;
  
- 	$menu_items = 0 == $menu_id ? array() : (array) wp_get_nav_menu_items( $menu_id, array( 'post_status' => 'publish,draft' ) );
- 
- 	$count = count( $menu_items );
- 
  	$defaults = array(
  		'menu-item-db-id' => $menu_item_db_id,
  		'menu-item-object-id' => 0,
--- 279,284 ----
***************
*** 305,312 ****
  	if ( 0 == $menu_id ) {
  		$args['menu-item-position'] = 1;
  	} elseif ( 0 == (int) $args['menu-item-position'] ) {
  		$last_item = array_pop( $menu_items );
! 		$args['menu-item-position'] = ( $last_item && isset( $last_item->menu_order ) ) ? 1 + $last_item->menu_order : $count;
  	}
  
  	$original_parent = 0 < $menu_item_db_id ? get_post_field( 'post_parent', $menu_item_db_id ) : 0;
--- 301,309 ----
  	if ( 0 == $menu_id ) {
  		$args['menu-item-position'] = 1;
  	} elseif ( 0 == (int) $args['menu-item-position'] ) {
+ 		$menu_items = 0 == $menu_id ? array() : (array) wp_get_nav_menu_items( $menu_id, array( 'post_status' => 'publish,draft' ) );
  		$last_item = array_pop( $menu_items );
! 		$args['menu-item-position'] = ( $last_item && isset( $last_item->menu_order ) ) ? 1 + $last_item->menu_order : count( $menu_items );
  	}
  
  	$original_parent = 0 < $menu_item_db_id ? get_post_field( 'post_parent', $menu_item_db_id ) : 0;
***************
*** 350,369 ****
  		'post_type' => 'nav_menu_item',
  	);
  
! 	if ( 0 != $menu_id )
  		$post['tax_input'] = array( 'nav_menu' => array( intval( $menu->term_id ) ) );
  
  	// New menu item. Default is draft status
! 	if ( 0 == $menu_item_db_id ) {
  		$post['ID'] = 0;
  		$post['post_status'] = 'publish' == $args['menu-item-status'] ? 'publish' : 'draft';
  		$menu_item_db_id = wp_insert_post( $post );
! 
! 	// Update existing menu item. Default is publish status
! 	} else {
! 		$post['ID'] = $menu_item_db_id;
! 		$post['post_status'] = 'draft' == $args['menu-item-status'] ? 'draft' : 'publish';
! 		wp_update_post( $post );
  	}
  
  	if ( 'custom' == $args['menu-item-type'] ) {
--- 347,365 ----
  		'post_type' => 'nav_menu_item',
  	);
  
! 	$update = 0 != $menu_item_db_id;
! 
! 	// Only set the menu term if it isn't set to avoid unnecessary wp_get_object_terms()
! 	if ( $menu_id && ( ! $update || ! is_object_in_term( $menu_item_db_id, 'nav_menu', (int) $menu->term_id ) ) )
  		$post['tax_input'] = array( 'nav_menu' => array( intval( $menu->term_id ) ) );
  
  	// New menu item. Default is draft status
! 	if ( ! $update ) {
  		$post['ID'] = 0;
  		$post['post_status'] = 'publish' == $args['menu-item-status'] ? 'publish' : 'draft';
  		$menu_item_db_id = wp_insert_post( $post );
! 		if ( ! $menu_item_db_id	|| is_wp_error( $menu_item_db_id ) )
! 			return $menu_item_db_id;
  	}
  
  	if ( 'custom' == $args['menu-item-type'] ) {
***************
*** 371,384 ****
  		$args['menu-item-object'] = 'custom';
  	}
  
- 	if ( ! $menu_item_db_id || is_wp_error( $menu_item_db_id ) )
- 		return $menu_item_db_id;
- 
  	$menu_item_db_id = (int) $menu_item_db_id;
  
  	update_post_meta( $menu_item_db_id, '_menu_item_type', sanitize_key($args['menu-item-type']) );
! 	update_post_meta( $menu_item_db_id, '_menu_item_menu_item_parent', (int) $args['menu-item-parent-id'] );
! 	update_post_meta( $menu_item_db_id, '_menu_item_object_id', (int) $args['menu-item-object-id'] );
  	update_post_meta( $menu_item_db_id, '_menu_item_object', sanitize_key($args['menu-item-object']) );
  	update_post_meta( $menu_item_db_id, '_menu_item_target', sanitize_key($args['menu-item-target']) );
  
--- 367,377 ----
  		$args['menu-item-object'] = 'custom';
  	}
  
  	$menu_item_db_id = (int) $menu_item_db_id;
  
  	update_post_meta( $menu_item_db_id, '_menu_item_type', sanitize_key($args['menu-item-type']) );
! 	update_post_meta( $menu_item_db_id, '_menu_item_menu_item_parent', strval( (int) $args['menu-item-parent-id'] ) );
! 	update_post_meta( $menu_item_db_id, '_menu_item_object_id', strval( (int) $args['menu-item-object-id'] ) );
  	update_post_meta( $menu_item_db_id, '_menu_item_object', sanitize_key($args['menu-item-object']) );
  	update_post_meta( $menu_item_db_id, '_menu_item_target', sanitize_key($args['menu-item-target']) );
  
***************
*** 389,398 ****
  	update_post_meta( $menu_item_db_id, '_menu_item_url', esc_url_raw($args['menu-item-url']) );
  
  	if ( 0 == $menu_id )
! 		update_post_meta( $menu_item_db_id, '_menu_item_orphaned', time() );
! 	else
  		delete_post_meta( $menu_item_db_id, '_menu_item_orphaned' );
  
  	do_action('wp_update_nav_menu_item', $menu_id, $menu_item_db_id, $args );
  
  	return $menu_item_db_id;
--- 382,398 ----
  	update_post_meta( $menu_item_db_id, '_menu_item_url', esc_url_raw($args['menu-item-url']) );
  
  	if ( 0 == $menu_id )
! 		update_post_meta( $menu_item_db_id, '_menu_item_orphaned', (string) time() );
! 	elseif ( get_post_meta( $menu_item_db_id, '_menu_item_orphaned' ) )
  		delete_post_meta( $menu_item_db_id, '_menu_item_orphaned' );
  
+ 	// Update existing menu item. Default is publish status
+ 	if ( $update ) {
+ 		$post['ID'] = $menu_item_db_id;
+ 		$post['post_status'] = 'draft' == $args['menu-item-status'] ? 'draft' : 'publish';
+ 		wp_update_post( $post );
+ 	}
+ 
  	do_action('wp_update_nav_menu_item', $menu_id, $menu_item_db_id, $args );
  
  	return $menu_item_db_id;
***************
*** 483,490 ****
  		return $items;
  
  	$defaults = array( 'order' => 'ASC', 'orderby' => 'menu_order', 'post_type' => 'nav_menu_item',
! 		'post_status' => 'publish', 'output' => ARRAY_A, 'output_key' => 'menu_order', 'nopaging' => true,
! 		'update_post_term_cache' => false );
  	$args = wp_parse_args( $args, $defaults );
  	if ( count( $items ) > 1 )
  		$args['include'] = implode( ',', $items );
--- 483,489 ----
  		return $items;
  
  	$defaults = array( 'order' => 'ASC', 'orderby' => 'menu_order', 'post_type' => 'nav_menu_item',
! 		'post_status' => 'publish', 'output' => ARRAY_A, 'output_key' => 'menu_order', 'nopaging' => true );
  	$args = wp_parse_args( $args, $defaults );
  	if ( count( $items ) > 1 )
  		$args['include'] = implode( ',', $items );
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/nav-menu-template.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/nav-menu-template.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/nav-menu-template.php	2012-10-29 12:35:29.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/nav-menu-template.php	2012-12-17 16:18:40.000000000 -0600
***************
*** 65,71 ****
  	 * @param object $args
  	 */
  	function start_el( &$output, $item, $depth = 0, $args = array(), $id = 0 ) {
- 		global $wp_query;
  		$indent = ( $depth ) ? str_repeat( "\t", $depth ) : '';
  
  		$class_names = $value = '';
--- 65,70 ----
***************
*** 156,162 ****
  	if ( ! $menu && !$args->theme_location ) {
  		$menus = wp_get_nav_menus();
  		foreach ( $menus as $menu_maybe ) {
! 			if ( $menu_items = wp_get_nav_menu_items($menu_maybe->term_id) ) {
  				$menu = $menu_maybe;
  				break;
  			}
--- 155,161 ----
  	if ( ! $menu && !$args->theme_location ) {
  		$menus = wp_get_nav_menus();
  		foreach ( $menus as $menu_maybe ) {
! 			if ( $menu_items = wp_get_nav_menu_items( $menu_maybe->term_id, array( 'update_post_term_cache' => false ) ) ) {
  				$menu = $menu_maybe;
  				break;
  			}
***************
*** 165,179 ****
  
  	// If the menu exists, get its items.
  	if ( $menu && ! is_wp_error($menu) && !isset($menu_items) )
! 		$menu_items = wp_get_nav_menu_items( $menu->term_id );
  
! 	// If no menu was found or if the menu has no items and no location was requested, call the fallback_cb if it exists
  	if ( ( !$menu || is_wp_error($menu) || ( isset($menu_items) && empty($menu_items) && !$args->theme_location ) )
  		&& $args->fallback_cb && is_callable( $args->fallback_cb ) )
  			return call_user_func( $args->fallback_cb, (array) $args );
  
! 	// If no fallback function was specified and the menu doesn't exists, bail.
! 	if ( !$menu || is_wp_error($menu) )
  		return false;
  
  	$nav_menu = $items = '';
--- 164,184 ----
  
  	// If the menu exists, get its items.
  	if ( $menu && ! is_wp_error($menu) && !isset($menu_items) )
! 		$menu_items = wp_get_nav_menu_items( $menu->term_id, array( 'update_post_term_cache' => false ) );
  
! 	/*
! 	 * If no menu was found:
! 	 *  - Fallback (if one was specified), or bail.
! 	 *
! 	 * If no menu items were found:
! 	 *  - Fallback, but only if no theme location was specified.
! 	 *  - Otherwise, bail.
! 	 */
  	if ( ( !$menu || is_wp_error($menu) || ( isset($menu_items) && empty($menu_items) && !$args->theme_location ) )
  		&& $args->fallback_cb && is_callable( $args->fallback_cb ) )
  			return call_user_func( $args->fallback_cb, (array) $args );
  
! 	if ( !$menu || is_wp_error( $menu ) || empty( $menu_items ) )
  		return false;
  
  	$nav_menu = $items = '';
***************
*** 287,294 ****
  				}
  			}
  		}
- 	} elseif ( ! empty( $queried_object->post_type ) && is_post_type_hierarchical( $queried_object->post_type ) ) {
- 		_get_post_ancestors( $queried_object );
  	} elseif ( ! empty( $queried_object->taxonomy ) && is_taxonomy_hierarchical( $queried_object->taxonomy ) ) {
  		$term_hierarchy = _get_term_hierarchy( $queried_object->taxonomy );
  		$term_to_ancestor = array();
--- 292,297 ----
***************
*** 334,340 ****
  			(
  				( ! empty( $home_page_id ) && 'post_type' == $menu_item->type && $wp_query->is_home && $home_page_id == $menu_item->object_id ) ||
  				( 'post_type' == $menu_item->type && $wp_query->is_singular ) ||
! 				( 'taxonomy' == $menu_item->type && ( $wp_query->is_category || $wp_query->is_tag || $wp_query->is_tax ) )
  			)
  		) {
  			$classes[] = 'current-menu-item';
--- 337,343 ----
  			(
  				( ! empty( $home_page_id ) && 'post_type' == $menu_item->type && $wp_query->is_home && $home_page_id == $menu_item->object_id ) ||
  				( 'post_type' == $menu_item->type && $wp_query->is_singular ) ||
! 				( 'taxonomy' == $menu_item->type && ( $wp_query->is_category || $wp_query->is_tag || $wp_query->is_tax ) && $queried_object->taxonomy == $menu_item->object )
  			)
  		) {
  			$classes[] = 'current-menu-item';
***************
*** 361,367 ****
  		// if the menu item corresponds to the currently-requested URL
  		} elseif ( 'custom' == $menu_item->object ) {
  			$_root_relative_current = untrailingslashit( $_SERVER['REQUEST_URI'] );
! 			$current_url = ( is_ssl() ? 'https://' : 'http://' ) . $_SERVER['HTTP_HOST'] . $_root_relative_current;
  			$raw_item_url = strpos( $menu_item->url, '#' ) ? substr( $menu_item->url, 0, strpos( $menu_item->url, '#' ) ) : $menu_item->url;
  			$item_url = untrailingslashit( $raw_item_url );
  			$_indexless_current = untrailingslashit( preg_replace( '/index.php$/', '', $current_url ) );
--- 364,370 ----
  		// if the menu item corresponds to the currently-requested URL
  		} elseif ( 'custom' == $menu_item->object ) {
  			$_root_relative_current = untrailingslashit( $_SERVER['REQUEST_URI'] );
! 			$current_url = set_url_scheme( 'http://' . $_SERVER['HTTP_HOST'] . $_root_relative_current );
  			$raw_item_url = strpos( $menu_item->url, '#' ) ? substr( $menu_item->url, 0, strpos( $menu_item->url, '#' ) ) : $menu_item->url;
  			$item_url = untrailingslashit( $raw_item_url );
  			$_indexless_current = untrailingslashit( preg_replace( '/index.php$/', '', $current_url ) );
***************
*** 472,478 ****
  	$walker = ( empty($r->walker) ) ? new Walker_Nav_Menu : $r->walker;
  	$args = array( $items, $depth, $r );
  
! 	return call_user_func_array( array(&$walker, 'walk'), $args );
  }
  
  /**
--- 475,481 ----
  	$walker = ( empty($r->walker) ) ? new Walker_Nav_Menu : $r->walker;
  	$args = array( $items, $depth, $r );
  
! 	return call_user_func_array( array($walker, 'walk'), $args );
  }
  
  /**
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/option.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/option.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/option.php	2012-10-29 12:35:29.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/option.php	2012-12-17 16:18:39.000000000 -0600
***************
*** 32,46 ****
  function get_option( $option, $default = false ) {
  	global $wpdb;
  
  	// Allow plugins to short-circuit options.
  	$pre = apply_filters( 'pre_option_' . $option, false );
  	if ( false !== $pre )
  		return $pre;
  
- 	$option = trim($option);
- 	if ( empty($option) )
- 		return false;
- 
  	if ( defined( 'WP_SETUP_CONFIG' ) )
  		return false;
  
--- 32,46 ----
  function get_option( $option, $default = false ) {
  	global $wpdb;
  
+ 	$option = trim( $option );
+ 	if ( empty( $option ) )
+ 		return false;
+ 
  	// Allow plugins to short-circuit options.
  	$pre = apply_filters( 'pre_option_' . $option, false );
  	if ( false !== $pre )
  		return $pre;
  
  	if ( defined( 'WP_SETUP_CONFIG' ) )
  		return false;
  
***************
*** 174,180 ****
  	if ( empty($site_id) )
  		$site_id = $wpdb->siteid;
  
! 	$core_options = array('site_name', 'siteurl', 'active_sitewide_plugins', '_site_transient_timeout_theme_roots', '_site_transient_theme_roots', 'site_admins', 'can_compress_scripts', 'global_terms_enabled' );
  
  	$core_options_in = "'" . implode("', '", $core_options) . "'";
  	$options = $wpdb->get_results( $wpdb->prepare("SELECT meta_key, meta_value FROM $wpdb->sitemeta WHERE meta_key IN ($core_options_in) AND site_id = %d", $site_id) );
--- 174,180 ----
  	if ( empty($site_id) )
  		$site_id = $wpdb->siteid;
  
! 	$core_options = array('site_name', 'siteurl', 'active_sitewide_plugins', '_site_transient_timeout_theme_roots', '_site_transient_theme_roots', 'site_admins', 'can_compress_scripts', 'global_terms_enabled', 'ms_files_rewriting' );
  
  	$core_options_in = "'" . implode("', '", $core_options) . "'";
  	$options = $wpdb->get_results( $wpdb->prepare("SELECT meta_key, meta_value FROM $wpdb->sitemeta WHERE meta_key IN ($core_options_in) AND site_id = %d", $site_id) );
***************
*** 540,545 ****
--- 540,550 ----
  	if ( ! $user = wp_get_current_user() )
  		return;
  
+ 	if ( is_super_admin( $user->ID ) &&
+ 		! in_array( get_current_blog_id(), array_keys( get_blogs_of_user( $user->ID ) ) )
+ 		)
+ 		return;
+ 
  	$settings = get_user_option( 'user-settings', $user->ID );
  
  	if ( isset( $_COOKIE['wp-settings-' . $user->ID] ) ) {
***************
*** 560,567 ****
  		}
  	}
  
! 	setcookie( 'wp-settings-' . $user->ID, $settings, time() + 31536000, SITECOOKIEPATH );
! 	setcookie( 'wp-settings-time-' . $user->ID, time(), time() + 31536000, SITECOOKIEPATH );
  	$_COOKIE['wp-settings-' . $user->ID] = $settings;
  }
  
--- 565,572 ----
  		}
  	}
  
! 	setcookie( 'wp-settings-' . $user->ID, $settings, time() + YEAR_IN_SECONDS, SITECOOKIEPATH );
! 	setcookie( 'wp-settings-time-' . $user->ID, time(), time() + YEAR_IN_SECONDS, SITECOOKIEPATH );
  	$_COOKIE['wp-settings-' . $user->ID] = $settings;
  }
  
***************
*** 697,702 ****
--- 702,712 ----
  	if ( ! $user = wp_get_current_user() )
  		return false;
  
+ 	if ( is_super_admin( $user->ID ) &&
+ 		! in_array( get_current_blog_id(), array_keys( get_blogs_of_user( $user->ID ) ) )
+ 		)
+ 		return;
+ 
  	$_updated_user_settings = $all;
  	$settings = '';
  	foreach ( $all as $k => $v ) {
***************
*** 724,730 ****
  		return;
  
  	update_user_option( $user->ID, 'user-settings', '', false );
! 	setcookie('wp-settings-' . $user->ID, ' ', time() - 31536000, SITECOOKIEPATH);
  }
  
  /**
--- 734,740 ----
  		return;
  
  	update_user_option( $user->ID, 'user-settings', '', false );
! 	setcookie('wp-settings-' . $user->ID, ' ', time() - YEAR_IN_SECONDS, SITECOOKIEPATH);
  }
  
  /**
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/pluggable-deprecated.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/pluggable-deprecated.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/pluggable-deprecated.php	2012-10-29 12:35:29.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/pluggable-deprecated.php	2012-12-17 16:18:39.000000000 -0600
***************
*** 168,170 ****
--- 168,192 ----
  else :
  	_deprecated_function( 'wp_login', '2.5', 'wp_signon()' );
  endif;
+ 
+ /**
+  * WordPress AtomPub API implementation.
+  *
+  * Originally stored in wp-app.php, and later wp-includes/class-wp-atom-server.php.
+  * It is kept here in case a plugin directly referred to the class.
+  *
+  * @since 2.2.0
+  * @deprecated 3.5.0
+  * @link http://wordpress.org/extend/plugins/atom-publishing-protocol/
+  */
+ if ( ! class_exists( 'wp_atom_server' ) ) {
+ 	class wp_atom_server {
+ 		public function __call( $name, $arguments ) {
+ 			_deprecated_function( __CLASS__ . '::' . $name, '3.5', 'the Atom Publishing Platform plugin' );
+ 		}
+ 
+ 		public static function __callStatic( $name, $arguments ) {
+ 			_deprecated_function( __CLASS__ . '::' . $name, '3.5', 'the Atom Publishing Platform plugin' );
+ 		}
+ 	}
+ }
\ No newline at end of file
